<template>
	<el-dialog :title="titleMap[mode]" v-model="visible" :width="400" draggable destroy-on-close @closed="$emit('closed')">
		<el-form :model="form" :rules="rules" :disabled="mode=='show'" ref="dialogForm" label-width="105px" label-position="right">
			<el-col :span="24" :sm="24">
				<el-form-item label="维修日期" prop="schedule_date">
					<el-date-picker v-model="form.schedule_date" type="date" placeholder="请选择维修日期" clearable value-format="YYYY-MM-DD"></el-date-picker>
				</el-form-item>
			</el-col>
		</el-form>
		<template #footer>
			<el-button @click="visible=false" >取 消</el-button>
			<el-button v-if="mode!='show'" type="primary" :loading="isSave" @click="submit()">保 存</el-button>
		</template>
	</el-dialog>
</template>

<script>
export default {
	emits: ['success', 'closed'],
	data() {
		return {
			mode: "confirm",
			titleMap: {
				confirm: '确认工单',
			},
			visible: false,
			isSave: false,
			//表单数据
			form: {
				order_ids:[],
				schedule_date: "",
			},
			//验证规则
			rules: {
				schedule_date: [
					{required: true, message: '请输入维修日期'}
				],
			},

		}
	},
	mounted() {

	},
	methods: {
		//显示
		open(mode='confirm'){
			this.mode = mode;
			this.visible = true;
			return this
		},
		//表单提交方法
		submit(){
			this.$refs.dialogForm.validate(async (valid) => {
				if (valid) {
					this.isSave = true;
					const res = await this.$API.orders.order.plan.confirm.post(this.form);
					this.isSave = false;
					if(res.code == 200){
						this.$emit('success', this.form, this.mode)
						this.visible = false;
						this.$message.success("操作成功")
					}
				}else{
					return false;
				}
			})
		},
		//表单注入数据
		setData(data){
			this.form.order_ids = data.map(em=>(em.id))
		}
	}
}
</script>

<style>
</style>
